[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TSemaphorePostHandler

Function prototype for posting an event to a semaphore

## Declaration

Source position: threadh.inc line 67

`type TSemaphorePostHandler = procedure(`
`const sem: Pointer`
`);`

## Description

TSemaphorePostHandler is the function prototype to post an event to the semaphore. It should handle a pointer as returned by the ThreadManager.SemaphoreInit procedure. it's used by the thread manager ThreadManager.SemaphorePost.